# Class StatChangeMultiplierAbAttr

#### Hierarchy (view full)

- AbAttr
  - StatChangeMultiplierAbAttr

- Defined in src/data/ability.ts:2830

#####
Index

### Constructors

constructor

### Properties

multiplier
showAbility

### Methods

addCondition
apply
getCondition
getTriggerMessage

## Constructors

### constructor

- new StatChangeMultiplierAbAttr(multiplier): StatChangeMultiplierAbAttr

- #### Parameters

  - multiplier: number

  #### Returns StatChangeMultiplierAbAttr

  Overrides AbAttr.constructor

  - Defined in src/data/ability.ts:2833

## Properties

### `Private` multiplier

multiplier: number

- Defined in src/data/ability.ts:2831

### showAbility

showAbility: boolean

Inherited from AbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from AbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean

  Overrides AbAttr.apply

  - Defined in src/data/ability.ts:2839

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from AbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from AbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137